%define module_name JCM-Net-Patricia
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Net/CIDR/Lite.pm) perl(Socket6.pm) perl(Test/More.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.05
Release: alt3
Summary: Patricia Trie perl module for fast IP address lookups
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMASLAK/%{module_name}-%{version}.tar.gz

%description
README for Net-Patricia
-----------------------

JCM::Net::Patricia - Patricia Trie perl module for fast IP address lookups

DESCRIPTION
-----------

     This module uses a Patricia Trie data structure to quickly
     perform IP address prefix matching for applications such as
     IP subnet, network or routing table lookups.  The data
     structure is based on a radix tree using a radix of two, so
     sometimes you see patricia implementations called "radix" as

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_archlib/J*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.05-alt3
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.05-alt2
- rebuild with perl 5.34.0

* Tue Mar 30 2021 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1
- updated by package builder

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.04-alt2
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.04-alt1.1
- rebuild with perl 5.28.1

* Tue Oct 30 2018 Igor Vlasenko <viy@altlinux.ru> 1.04-alt1
- regenerated from template by package builder

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.03-alt2
- rebuild with perl 5.26

* Sun Sep 24 2017 Igor Vlasenko <viy@altlinux.ru> 1.03-alt1
- regenerated from template by package builder

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.02-alt2
- rebuild to get rid of unmets

* Sun Sep 18 2016 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- regenerated from template by package builder

* Mon Sep 05 2016 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- initial import by package builder

